# Created by pyp2rpm-3.3.5
%global pypi_name pyjsparser

Name:           python-%{pypi_name}
Version:        2.7.1
Release:        %mkrel 3
Summary:        Fast javascript parser (based on esprima.js)
Group:          Development/Python
License:        MIT
URL:            https://github.com/PiotrDabkowski/pyjsparser
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

%description
Fast JavaScript parser - manual translation of esprima.js to python. Takes 1
second to parse whole angular.js library so parsing speed is about 100k
characters per second which makes it the fastest and most comprehensible
JavaScript parser for python out there.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Fast JavaScript parser - manual translation of esprima.js to python. Takes 1
second to parse whole angular.js library so parsing speed is about 100k
characters per second which makes it the fastest and most comprehensible
JavaScript parser for python out there.

%prep
%autosetup -n %{pypi_name}-%{version}

# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%doc README.md
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info


%changelog
* Wed Mar 23 2022 umeabot <umeabot> 2.7.1-3.mga9
+ Revision: 1822790
- Mageia 9 Mass Rebuild

* Tue Feb 15 2022 mrambo3501 <mrambo3501> 2.7.1-2.mga9
+ Revision: 1775391
- rebuild for python-3.10

* Mon Mar 15 2021 wally <wally> 2.7.1-1.mga9
+ Revision: 1703361
- imported package python-pyjsparser

